## ros-melodic-gscam 1.0.1

=== debian/changelog ===
ros-melodic-gscam (1.0.1-0stretch) stretch; urgency=high

  * Merge pull request #52 <https://github.com/ros-drivers/gscam/issues/52> from k-okada/add_travis
    update travis.yml
  * Update README.md
    gscam -> GSCam
  * update travis.yml
  * Merge pull request #40 <https://github.com/ros-drivers/gscam/issues/40> from ros-drivers/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Contributors: Kei Okada, Mikael Arguedas

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 06 Sep 2018 00:00:00 -0000

ros-melodic-gscam (1.0.0-0stretch) stretch; urgency=high

  * Gstreamer 1 0 support (#36 <https://github.com/ros-drivers/gscam/issues/36> )
    * delete unused manifest.xml, rosdep.yaml
    * use libgstreamer1.0 for lunar
    * Fixing preproc switches so that the 1.0 branch still builds against 0.1 without the switch flags
    * Preliminary GStreamer-1.0 support see README for more info
  * Contributors: Jonathan Bohren, Kei Okada

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 13 Jun 2017 00:00:00 -0000

ros-melodic-gscam (0.2.0-0stretch) stretch; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#35 <https://github.com/ros-drivers/gscam/issues/35> )
  * gscam_nodelet.h: include scoped_ptr.hpp to compile with boost 1.57
    When compiling gscam with the currently latest boost version 1.57,
    it fails with:
    In file included from [...]/src/gscam_nodelet.cpp:5:0:
    [...]/include/gscam/gscam_nodelet.h:20:12: error: 'scoped_ptr' in namespace 'boost' does not name a template type
    boost::scoped_ptr<GSCam> gscam_driver_;
    ^
    [...]/include/gscam/gscam_nodelet.h:21:12: error: 'scoped_ptr' in namespace 'boost' does not name a template type
    boost::scoped_ptr<boost::thread> stream_thread_;
    ^
    It seems that the dependencies of boost/thread.hpp have changed
    and boost/scoped_ptr.hpp is not included anymore with
    boost/thread.hpp. Hence, the scoped_ptr is not defined in the
    gscam_nodelet header. After scanning quickly through the release
    notes of version 1.57, the boost bug tracker and a few changesets,
    I could not find not a hint what has changed in the thread library
    that gscam must include scoped_ptr itself.
    This commit simply addresses the compiler error by explicitly
    adding boost's scoped_ptr header in the gscam_nodelet header.
    As this commit also compiles with boost version 1.56, the commit
    is not expected to cause any problems with other build
    configurations.
    Signed-off-by: Lukas Bulwahn <lukas.bulwahn@oss.bmw-carit.de>
  * Remove dependency on opencv2 to fix under indigo
    Packages can no longer depend on opencv2 as of indigo.
    I've updated the package to depend instead on cv_bridge as suggested by http://wiki.ros.org/indigo/Migration#OpenCV.
  * Install the parameters file refered to in v4l.launch
  * Update package.xml
  * Examples: Added example for OSX (#15 <https://github.com/ros-drivers/gscam/issues/15>)
    Add a simple launch configuration for OSX. The camera can be selected by
    changing the default="0" to the appropriate integer.
  * Adding libraries to gscam target
    Fixes #13 <https://github.com/ros-drivers/gscam/issues/13>, now builds on stricter linkers
  * adding proper depends to catkin package call
  * Update minoru.launch
  * Contributors: CHILI Demo Corner, Jonathan Bohren, Kei Okada, Kenn Sebesta, Lukas Bulwahn, Russell Toris, Lukas Bulwahn

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 13 Jun 2017 00:00:00 -0000

ros-melodic-gscam (0.1.3-0stretch) stretch; urgency=high

  * Removed special characters from changelog.

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 19 Dec 2013 00:00:00 -0000

ros-melodic-gscam (0.1.2-0stretch) stretch; urgency=high

  * Added install targets for headers
  * Adding note on blackmagic decklink cards
  * Make sure nodelets are usable
  * Add jpeg direct publishing without decoding
  * Added system to use GST timestamps
  * Valid test file for jpeg-based publisher
  * Prepared for jpeg-only subscription
  * Install some launch files + added nodelet pipeline demo
  * Added missing bits to install the nodelet
  * Support for gray (mono8) cameras.
  * Remove unused ``bpp_`` member.
  * Expose default settings for ``image_encodings`` to the ros master.
  * Add in support for mono cameras.
  * Contributors: Cedric Pradalier, Holger Rapp, Jonathan Bohren, Russell Toris, Severin Lemaignan

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 19 Dec 2013 00:00:00 -0000

ros-melodic-gscam (0.1.1-0stretch) stretch; urgency=high

  * adding missing nodelet dep
  * Contributors: Jonathan Bohren

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 30 May 2013 00:00:00 -0000

ros-melodic-gscam (0.1.0-0stretch) stretch; urgency=high

  * adding maintainer/authors
  * making node name backwards compatible
  * re-adding package.xml
  * more info spam
  * removing old camera parameters file
  * updating gscam to use ``camera_info_manager``
  * Fixing nodelet, adding example
  * Making gscam a node and nodeelt
  * adding a note on the videofile player and wrapping readme
  * adding option to reopen a stream on EOF and adding a videofile example
  * Hybrid catkin-rosbuild buildsystem
  * adding minoru example
  * putting example nodes into namespaces, adding correct error check in gscam source, making tf frame publishing optional
  * rst->md
  * making gscam conform to standard ``camera_drivers`` ROS API, note, still need to add polled mode
  * fixes for decklink capture, adding another example
  * can't have manifest.xml and package.xml in same directory
  * removing unneeded find-pkgs
  * building in catkin ws
  * hybrid rosbuild/catkin buildsystem
  * Adding changes that were made to the distribution branch that
    should have gone into the exerpeimental branch in r2862.
    Added a bunch of enhancements and fixed bugs involving data
    missing fromthe image message headers.
    Index: src/gscam.cpp

